
/**************************************************************************
 *
 *  $Id: mbgversion.h 1.1.1.1 2017/07/26 14:21:26 martin TEST $
 *
 *  Copyright (c) Meinberg Funkuhren, Bad Pyrmont, Germany
 *
 *  Description:
 *    Program version definitions for package mbgtools-nbsd.
 *
 * -----------------------------------------------------------------------
 *  $Log: mbgversion.h $
 *  Revision 1.1.1.1  2017/07/26 14:21:26  martin
 *  Updated copyright year to 2017.
 *  Revision 1.1  2011/07/08 12:09:55  martin
 *  Initial revision for pre-release.
 *
 **************************************************************************/

#define MBG_CURRENT_COPYRIGHT_YEAR      2017
#define MBG_CURRENT_COPYRIGHT_YEAR_STR  "2017"

#define MBG_MAJOR_VERSION_CODE          0
#define MBG_MINOR_VERSION_CODE          9

#define MBG_MAIN_VERSION_STR            "0.9"

// The codes below should only fe defined in development/pre-release versions
#define MBG_MICRO_VERSION_CODE_DEV      99
#define MBG_MICRO_VERSION_STR_DEV       "99"


#define MBG_MAIN_VERSION_CODE           ( ( MBG_MAJOR_VERSION_CODE << 8 ) | MBG_MINOR_VERSION_CODE )

#define MBG_VERSION_CODE( _micro )      ( (uint16_t) ( ( MBG_MAIN_VERSION_CODE << 8 ) | (_micro) ) )
