
/**************************************************************************
 *
 *  $Id: ctrydttm.h 1.5 2015/08/31 10:00:46 martin REL_M $
 *
 *  Copyright (c) Meinberg Funkuhren, Bad Pyrmont, Germany
 *
 *  Description:
 *    Definitions and prototypes for ctrydttm.c.
 *
 * -----------------------------------------------------------------------
 *  $Log: ctrydttm.h $
 *  Revision 1.5  2015/08/31 10:00:46  martin
 *  Fixed DOS build.
 *  Revision 1.4  2015/08/27 16:28:25Z  martin
 *  Updated function prototypes.
 *  Revision 1.3  2000/09/14 15:13:45  MARTIN
 *  Updated function prototypes.
 *  Revision 1.2  2000/07/21 11:50:43  MARTIN
 *  Initial revision
 *
 **************************************************************************/

#ifndef _CTRYDTTM_H
#define _CTRYDTTM_H


/* Other headers to be included */

#include <ctry.h>

#include <stdlib.h>


#ifdef __cplusplus
extern "C" {
#endif

#ifdef _CTRYDTTM
 #define _ext
#else
 #define _ext extern
#endif


/* Start of header body */






/* ----- function prototypes begin ----- */

/* This section was generated automatically */
/* by MAKEHDR, do not remove the comments. */

 size_t snprint_02u( char *s, size_t max_len, uchar uc ) ;
 size_t snprint_04u( char *s, size_t max_len, ushort us ) ;
 size_t snprint_ctry_wday( char *s, size_t max_len, uchar wday, ushort language ) ;
 size_t snprint_ctry_dt_short( char *s, size_t max_len, uchar mday, uchar month ) ;
 size_t snprint_ctry_dt( char *s, size_t max_len, uchar mday, uchar month, ushort year ) ;
 size_t snprint_ctry_tm_short( char *s, size_t max_len, uchar hour, uchar minute ) ;
 size_t snprint_ctry_tm( char *s, size_t max_len, uchar hour, uchar minute, uchar second ) ;
 size_t snprint_ctry_tm_long( char *s, size_t max_len, uchar hour, uchar minute, uchar second, long frac, ushort frac_digits ) ;

/* ----- function prototypes end ----- */

/* End of header body */


#undef _ext

#ifdef __cplusplus
}
#endif


#endif  /* _CTRYDTTM_H */

